Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.addon.tablegenerator.TableCellData Class Reference

## Public Member Functions
| TableCellData ()
| Constructor.
| TableCellData (RichTextStyle cell_text_style, long cell_fill_color, String cell_text, Image cell_image, RectF cell_margin)
| Constructor, with parameters. More...
| TableCellData (TableCellData data)
| Constructor, with another table cell data object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
long | getCell_fill_color ()
| Get the fill color of cell. More...
Image | getCell_image ()
| Get the image content of cell. More...
RectF | getCell_margin ()
| Get the cell margin between the content and cell border. More...
String | getCell_text ()
| Get the text content of cell. More...
RichTextStyle | getCell_text_style ()
| Get the style of cell text. More...
void | set (RichTextStyle cell_text_style, long cell_fill_color, String cell_text, Image cell_image, RectF cell_margin)
| Set value. More...
void | setCell_fill_color (long value)
| Set the fill color of cell. More...
void | setCell_image (Image value)
| Set the image content of cell. More...
void | setCell_margin (RectF value)
| Set the cell margin between the content and cell border. More...
void | setCell_text (String value)
| Set the text content of cell. More...
void | setCell_text_style (RichTextStyle value)
| Set the style of cell text. More...

## Detailed Description

This class represents table cell data.

## Constructor & Destructor Documentation

## ◆ TableCellData() [1/2]

com.foxit.sdk.addon.tablegenerator.TableCellData.TableCellData | ( | RichTextStyle | cell_text_style,
|  | long | cell_fill_color,
|  | String | cell_text,
|  | Image | cell_image,
|  | RectF | cell_margin
| ) |  |

Constructor, with parameters.

Parameters

  [in] | cell_text_style | The style of cell text.
  [in] | cell_fill_color | The fill color of cell. Format: 0xAARRGGBB.
  [in] | cell_text | The text content of cell.
  [in] | cell_image | The image content of cell.
  [in] | cell_margin | The cell margin.

## ◆ TableCellData() [2/2]

com.foxit.sdk.addon.tablegenerator.TableCellData.TableCellData | ( | TableCellData | data | ) |

Constructor, with another table cell data object.

Parameters

  [in] | data | Another table cell data object, whose value would be assigned to current object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.addon.tablegenerator.TableCellData.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getCell_fill_color()

com.foxit.sdk.addon.tablegenerator.TableCellData.getCell_fill_color | ( |  | ) |

Get the fill color of cell.

Returns
  The fill color of cell. Format: 0xAARRGGBB.

## ◆ getCell_image()

com.foxit.sdk.addon.tablegenerator.TableCellData.getCell_image | ( |  | ) |

Get the image content of cell.

Note
  Currently, it is not supported for text and image to exist in the same cell. For merged cells, their contents is text or image which is set in the first merged cell.

Returns
  The image content of cell.

## ◆ getCell_margin()

com.foxit.sdk.addon.tablegenerator.TableCellData.getCell_margin | ( |  | ) |

Get the cell margin between the content and cell border.

Note
  This value does not represent a rectangle. It just defines the left margin, bottom margin, right margin and top margin of a table cell. The value should not be negative and should not be bigger than the cell's height or width.

Returns
  The cell margin between the content and cell border.

## ◆ getCell_text()

com.foxit.sdk.addon.tablegenerator.TableCellData.getCell_text | ( |  | ) |

Get the text content of cell.

Note
  Currently, it is not supported for text and image to exist in the same cell. For merged cells, their contents is text or image which is set in the first merged cell.

Returns
  The text content of cell.

## ◆ getCell_text_style()

com.foxit.sdk.addon.tablegenerator.TableCellData.getCell_text_style | ( |  | ) |

Get the style of cell text.

Returns
  The style of cell text.

## ◆ set()

void com.foxit.sdk.addon.tablegenerator.TableCellData.set | ( | RichTextStyle | cell_text_style,
|  | long | cell_fill_color,
|  | String | cell_text,
|  | Image | cell_image,
|  | RectF | cell_margin
| ) |  |

Set value.

Parameters

  [in] | cell_text_style | The style of cell text.
  [in] | cell_fill_color | The fill color of cell. Format: 0xAARRGGBB.
  [in] | cell_text | The text content of cell.
  [in] | cell_image | The image content of cell.
  [in] | cell_margin | The cell margin.

Returns
  None.

## ◆ setCell_fill_color()

com.foxit.sdk.addon.tablegenerator.TableCellData.setCell_fill_color | ( | long | value | ) |

Set the fill color of cell.

Parameters

  [in] | value | The fill color of cell. Format: 0xAARRGGBB.

Returns
  None.

## ◆ setCell_image()

com.foxit.sdk.addon.tablegenerator.TableCellData.setCell_image | ( | Image | value | ) |

Set the image content of cell.

Note
  Currently, it is not supported for text and image to exist in the same cell. For merged cells, their contents is text or image which is set in the first merged cell.

Parameters

  [in] | value | The image content of cell.

Returns
  None.

## ◆ setCell_margin()

com.foxit.sdk.addon.tablegenerator.TableCellData.setCell_margin | ( | RectF | value | ) |

Set the cell margin between the content and cell border.

Note
  This value does not represent a rectangle. It just defines the left margin, bottom margin, right margin and top margin of a table cell. The value should not be negative and should not be bigger than the cell's height or width.

Parameters

  [in] | value | The cell margin between the content and cell border.

Returns
  None.

## ◆ setCell_text()

com.foxit.sdk.addon.tablegenerator.TableCellData.setCell_text | ( | String | value | ) |

Set the text content of cell.

Note
  Currently, it is not supported for text and image to exist in the same cell. For merged cells, their contents is text or image which is set in the first merged cell.

Parameters

  [in] | value | The text content of cell.

Returns
  None.

## ◆ setCell_text_style()

com.foxit.sdk.addon.tablegenerator.TableCellData.setCell_text_style | ( | RichTextStyle | value | ) |

Set the style of cell text.

Parameters

  [in] | value | The style of cell text.

Returns
  None.